---
object_type: method
version: 1.0
object:
  attributes:
    name: list_images
    display_name: 
    description: 
    scope: instance
    language: ruby
    location: expression
    data: |
      ---
      :db: ManageIQ::Providers::CloudManager::Template
      :expression:
        IS NOT EMPTY:
          field: ManageIQ::Providers::CloudManager::Template-name
          value: ''
        :token: 1
    options: {}
  inputs:
  - field:
      aetype: 
      name: attributes
      display_name: 
      datatype: array
      priority: 1
      owner: 
      default_value: name,name
      substitute: false
      message: create
      visibility: 
      collect: 
      scope: 
      description: 
      condition: 
      on_entry: 
      on_exit: 
      on_error: 
      max_retries: 
      max_time: 
  - field:
      aetype: 
      name: result_type
      display_name: 
      datatype: 
      priority: 2
      owner: 
      default_value: array
      substitute: false
      message: create
      visibility: 
      collect: 
      scope: 
      description: 
      condition: 
      on_entry: 
      on_exit: 
      on_error: 
      max_retries: 
      max_time: 
  - field:
      aetype: 
      name: on_empty
      display_name: 
      datatype: string
      priority: 3
      owner: 
      default_value: warn
      substitute: false
      message: create
      visibility: 
      collect: 
      scope: 
      description: 
      condition: 
      on_entry: 
      on_exit: 
      on_error: 
      max_retries: 
      max_time: 
